return site indexes
curl --request GET \
--url https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexesimport requests
url = "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"indexes": [
{
"indexesByLabel": "{'cadran1', 1,'cadran2', 2}",
"indexesByTariffHeading": "{'HC', 1,'HP', 2}",
"ts": "2023-11-07T05:31:56Z",
"generationTs": "2023-11-07T05:31:56Z",
"nature": "LINKY_OK",
"type": "RELEVE_BILAN_CONSO",
"isBeforeChange": true,
"isSmartMeter": true
}
]
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"indexes": [
{
"indexesByLabel": "{'cadran1', 1,'cadran2', 2}",
"indexesByTariffHeading": "{'HC', 1,'HP', 2}",
"ts": "2023-11-07T05:31:56Z",
"generationTs": "2023-11-07T05:31:56Z",
"nature": "LINKY_OK",
"type": "RELEVE_BILAN_CONSO",
"isBeforeChange": true,
"isSmartMeter": true
}
]
}Elec Indexes
return site indexes
return sites indexes Provided options:
- WithActiveContract to filter indexes not allocated to contract at endDate (can be activated on demand).
- Invalidation rule which sort indexes by ts and priority. If multiple indexes at the same ts, keep the index with the highest priority. The invalidation rule is mandatory.
- If the site corresponding offer family is configured to require consent for smart indexes then only smart indexes collected after the user consent are returned.
- If beginDate is equals to endDate then only one index will be returned: the index applicable at the requested date.
- The disableFilters parameters disable all previously described filters (including the Invalidation rule one)”
GET
/
api
/
v2
/
sites
/
{site-id}
/
elec-indexes
return site indexes
curl --request GET \
--url https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexesimport requests
url = "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/api/v2/sites/{site-id}/elec-indexes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"indexes": [
{
"indexesByLabel": "{'cadran1', 1,'cadran2', 2}",
"indexesByTariffHeading": "{'HC', 1,'HP', 2}",
"ts": "2023-11-07T05:31:56Z",
"generationTs": "2023-11-07T05:31:56Z",
"nature": "LINKY_OK",
"type": "RELEVE_BILAN_CONSO",
"isBeforeChange": true,
"isSmartMeter": true
}
]
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"indexes": [
{
"indexesByLabel": "{'cadran1', 1,'cadran2', 2}",
"indexesByTariffHeading": "{'HC', 1,'HP', 2}",
"ts": "2023-11-07T05:31:56Z",
"generationTs": "2023-11-07T05:31:56Z",
"nature": "LINKY_OK",
"type": "RELEVE_BILAN_CONSO",
"isBeforeChange": true,
"isSmartMeter": true
}
]
}Path Parameters
Query Parameters
Initialized using offer family depth limit configuration if it is not specified. If specified it will be reduced using the depthLimit configuration
Set to current date if not specified
if set to true, all indexes will be returned (without applying any filter).
if set to true, only indexes allocated to the active contract at endDate will be returned.
Filter indexes using the provided nature
Available options:
LINKY_OK, LINKY_INTERPOLE, LINKY_SUJET_A_CAUTION, DISTRIBUTEUR, DISTRIBUTEUR_INVALIDE, MKT_SENSOR, MKT_SENSOR_INVALIDE, STEREO, RELEVE_CONFIANCE, RELEVE_CONFIANCE_INVALIDE, SCORE_RC, SCORE_RC_ACQUITTE, SCORE_RC_INVALIDE, SCORE_RC_INVALIDE_APPLIANCE, SCORE, SCORE_ACQUITTE, SCORE_INVALIDE_EDE, SCORE_INVALIDE_ACP, SCORE_INVALIDE_USER, SCORE_INVALIDE_APPLIANCE, SUIVI_CONSO, SUIVI_CONSO_INVALIDE, ESTI_EDELIA, ESTI_ACC, ESTI_ACC_INVALIDE, RTM, SUPPLIER_SMART_INDEX, SUPPLIER_SMART_INDEX_SUJET_A_CAUTION, MKT_SMART_DISTRIBUTOR, MKT_CYCLIC_DISTRIBUTOR, MKT_CUSTOMER, DTN_CUSTOMER_ACK, MKT_ESTIMATION, MKT_SMART_DISTRIBUTOR_INVALID, MKT_CYCLIC_DISTRIBUTOR_INVALID, MKT_ESTIMATION_INVALID, DTN_CUSTOMER_ACK_INVALID, MKT_CUSTOMER_INVALID, SCORE_INVALIDE_TRV_OM Response
OK - return a list of indexes
Show child attributes
Show child attributes